<ion-header>
  <ion-toolbar color="danger">
    <ion-title>Show QR</ion-title>
    <ion-buttons slot='end'>
      <ion-button icon-only (click)="dismiss()">
        <ion-icon name="close"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
  {{recent.TimeStart | date: 'dd-MM-y h:mm:a' }} -
  {{ recent.TimeStop | date: 'h:mm:a'}}
  {{recent.CurrentCourse.Name}}
  <p>Register code: {{recent.key}}</p>
  <ion-button color="success" (click)="encodedText()">
    Create QR
  </ion-button>

  <p> Attendance List:</p>
  <ion-item *ngFor="let request of att">
    <ion-item>
      <ion-label class="ion-text-wrap">
        {{request.TimeRegister | date: 'dd-MM-y' }}<br>
        {{request.Student.matricNo}} - {{request.Student.name}} - {{request.Attended}}
      </ion-label>
    </ion-item>
    <!-- <ion-item-options>
      <ion-item-option color="danger" (click)="delete(request)">Delete</ion-item-option>
    </ion-item-options> -->

  </ion-item>
</ion-content>
